Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518447 - [abrt] solaar: _match(): udev.py:87:_match:TypeError: int() can't convert non-string with explicit base
Summary: [abrt] solaar: _match(): udev.py:87:_match:TypeError: int() can't convert non...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:de449c994d7a140fc21c1a1ad84...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 23:02 UTC by Jan Vlug
Modified: 2018-08-07 01:15 UTC (History)
3 users (show)

Fixed In Version: solaar-0.9.2-7.20180720git59b7285.fc27 solaar-0.9.2-7.20180720git59b7285.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-07 00:11:21 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-28 23:02 UTC, Jan Vlug
no flags Details
File: cgroup (deleted)
2017-11-28 23:02 UTC, Jan Vlug
no flags Details
File: cpuinfo (deleted)
2017-11-28 23:02 UTC, Jan Vlug
no flags Details
File: environ (deleted)
2017-11-28 23:02 UTC, Jan Vlug
no flags Details
File: mountinfo (deleted)
2017-11-28 23:02 UTC, Jan Vlug
no flags Details
File: namespaces (deleted)
2017-11-28 23:02 UTC, Jan Vlug
no flags Details
File: open_fds (deleted)
2017-11-28 23:03 UTC, Jan Vlug
no flags Details

Description Jan Vlug 2017-11-28 23:02:43 UTC
Description of problem:
I restarted my computer. This problem occured immediately after login.

Version-Release number of selected component:
solaar-0.9.2-4.20150528gitcf27328.fc27.6

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python /usr/bin/solaar
crash_function: _match
exception_type: TypeError
executable:     /usr/bin/solaar
kernel:         4.13.12-300.fc27.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
udev.py:87:_match:TypeError: int() can't convert non-string with explicit base

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/solaar/ui/__init__.py", line 102, in _startup
    startup_hook()
  File "/usr/lib/python2.7/site-packages/solaar/listener.py", line 249, in start_all
    for device_info in _base.receivers():
  File "/usr/lib/python2.7/site-packages/logitech_receiver/base.py", line 86, in receivers
    for d in _hid.enumerate(*receiver_usb_id):
  File "/usr/lib/python2.7/site-packages/hidapi/udev.py", line 199, in enumerate
    dev_info = _match('add', dev, vendor_id, product_id, interface_number, hid_driver)
  File "/usr/lib/python2.7/site-packages/hidapi/udev.py", line 87, in _match
    if not ((vendor_id is None or vendor_id == int(vid, 16)) and
TypeError: int() can't convert non-string with explicit base

Local variables in innermost frame:
product_id: 50475
vid: None
interface_number: 2
vendor_id: 1133
pid: None
action: u'add'
usb_device: Device(u'/sys/devices/pci0000:00/0000:00:14.0/usb3/3-3')
device: Device(u'/sys/devices/pci0000:00/0000:00:14.0/usb3/3-3/3-3:1.2/0003:046D:C52B.002D/0003:046D:4024.002E/hidraw/hidraw8')
hid_driver: u'logitech-djreceiver'

Potential duplicate: bug 1202928

Comment 1 Jan Vlug 2017-11-28 23:02:50 UTC
Created attachment 1360090 [details]
File: backtrace

Comment 2 Jan Vlug 2017-11-28 23:02:52 UTC
Created attachment 1360091 [details]
File: cgroup

Comment 3 Jan Vlug 2017-11-28 23:02:53 UTC
Created attachment 1360093 [details]
File: cpuinfo

Comment 4 Jan Vlug 2017-11-28 23:02:55 UTC
Created attachment 1360094 [details]
File: environ

Comment 5 Jan Vlug 2017-11-28 23:02:57 UTC
Created attachment 1360095 [details]
File: mountinfo

Comment 6 Jan Vlug 2017-11-28 23:02:58 UTC
Created attachment 1360096 [details]
File: namespaces

Comment 7 Jan Vlug 2017-11-28 23:03:00 UTC
Created attachment 1360097 [details]
File: open_fds

Comment 8 Fedora Update System 2018-07-27 22:50:38 UTC
solaar-0.9.2-7.20180720git59b7285.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-85e3e35eaf

Comment 9 Fedora Update System 2018-07-27 22:51:10 UTC
solaar-0.9.2-7.20180720git59b7285.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ad7ef4a922

Comment 10 Fedora Update System 2018-07-29 00:52:33 UTC
solaar-0.9.2-7.20180720git59b7285.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-85e3e35eaf

Comment 11 Fedora Update System 2018-07-29 03:35:13 UTC
solaar-0.9.2-7.20180720git59b7285.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ad7ef4a922

Comment 12 Fedora Update System 2018-08-07 00:11:21 UTC
solaar-0.9.2-7.20180720git59b7285.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-08-07 01:15:21 UTC
solaar-0.9.2-7.20180720git59b7285.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.